org.eclipse.wst.jsdt.debug.core.jsdi

## Interface Value

All Superinterfaces:
  Mirror

All Known Subinterfaces:
  ArrayReference, BooleanValue, FunctionReference, NullValue, NumberValue, ObjectReference, PrimitiveValue, StringValue, UndefinedValue

    public interface Value
    extends Mirror

Abstract representation of a value.

Since:
  1.0
See Also:
  `Mirror`
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `valueString()` Returns the string representation of the value.

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.Mirror

`virtualMachine`

### Method Detail

#### valueString

    java.lang.String valueString()

Returns the string representation of the value.
This method can return `null`

Returns:
  the string representation of the value or `null`